if not exists(select * from sys.sysobjects where id = object_id(N'dbo.SecureAttachment')) begin
  create table dbo.SecureAttachment(
   ID uniqueidentifier constraint DF_SecureAttachment_ID default newid() not null,
   RecipientUserId uniqueidentifier not null, 
   AttachmentType int not null,
   Content varchar(max)
   constraint PK_SecureAttachment primary key clustered(ID)
   );
end;